# Mark everything up to a list response's readThroughToken read

POST /api/agent/inbox/notifications/read-all. Required scopes: inbox:write.

HTML: https://notify.belweave.ai/docs/api/postInboxNotificationsReadAll

Required scopes: `inbox:write`

```http
POST /api/agent/inbox/notifications/read-all
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "Mark everything up to a list response's readThroughToken read",
  "operationId": "postInboxNotificationsReadAll",
  "security": [
    {
      "bearer": [
        "inbox:write"
      ]
    }
  ],
  "x-notify-scopes": [
    "inbox:write"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "readThrough": {
              "type": "string",
              "minLength": 1,
              "maxLength": 200
            },
            "project": {
              "type": "string",
              "minLength": 1,
              "maxLength": 100
            }
          },
          "required": [
            "readThrough"
          ]
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "ok": {
                "const": true
              },
              "updated": {
                "type": "integer"
              }
            },
            "required": [
              "ok",
              "updated"
            ]
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
